Grading

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.meta
Class Grading

    java.lang.Object
      weka.classifiers.Classifier
          weka.classifiers.MultipleClassifiersCombiner
              weka.classifiers.RandomizableMultipleClassifiersCombiner
                  weka.classifiers.meta.Stacking
                      weka.classifiers.meta.Grading

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, CapabilitiesHandler, OptionHandler, Randomizable, RevisionHandler, TechnicalInformationHandler

    public class Grading

extends Stacking
implements TechnicalInformationHandler

Implements Grading. The base classifiers are "graded".
For more information, see
A.K. Seewald, J. Fuernkranz: An Evaluation of Grading Classifiers. In: Advances in Intelligent Data Analysis: 4th International Conference, Berlin/Heidelberg/New York/Tokyo, 115-124, 2001.

BibTeX:

     @inproceedings{Seewald2001,
        address = {Berlin/Heidelberg/New York/Tokyo},
        author = {A.K. Seewald and J. Fuernkranz},
        booktitle = {Advances in Intelligent Data Analysis: 4th International Conference},
        editor = {F. Hoffmann et al.},
        pages = {115-124},
        publisher = {Springer},
        title = {An Evaluation of Grading Classifiers},
        year = {2001}
     }

Valid options are:

     -M <scheme specification>
      Full name of meta classifier, followed by options.
      (default: "weka.classifiers.rules.Zero")

     -X <number of folds>
      Sets the number of cross-validation folds.

     -S <num>
      Random number seed.
      (default 1)

     -B <classifier specification>
      Full class name of classifier to include, followed
      by scheme options. May be specified multiple times.
      (default: "weka.classifiers.rules.ZeroR")

     -D
      If set, classifier is run in debug mode and
      may output additional info to the console

Version:
  $Revision: 1.13 $
Author:
  Alexander K. Seewald (alex@seewald.at), Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`Grading()`

Method Summary
`double[]` | `distributionForInstance(Instance instance)` Returns class probabilities for a given instance using the stacked classifier.
`java.lang.String` | `getRevision()` Returns the revision string.
`TechnicalInformation` | `getTechnicalInformation()` Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
`java.lang.String` | `globalInfo()` Returns a string describing classifier
`static void` | `main(java.lang.String[] argv)` Main method for testing this class.
`java.lang.String` | `toString()` Output a representation of this classifier

Methods inherited from class weka.classifiers.meta.Stacking
`buildClassifier, getCapabilities, getMetaClassifier, getNumFolds, getOptions, listOptions, metaClassifierTipText, numFoldsTipText, setMetaClassifier, setNumFolds, setOptions`

Methods inherited from class weka.classifiers.RandomizableMultipleClassifiersCombiner
`getSeed, seedTipText, setSeed`

Methods inherited from class weka.classifiers.MultipleClassifiersCombiner
`classifiersTipText, getClassifier, getClassifiers, setClassifiers`

Methods inherited from class weka.classifiers.Classifier
`classifyInstance, debugTipText, forName, getDebug, makeCopies, makeCopy, setDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Grading

    public Grading()

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing classifier

  Overrides:
    `globalInfo` in class `Stacking`
  Returns:
    a description suitable for displaying in the explorer/experimenter gui

### getTechnicalInformation

    public TechnicalInformation getTechnicalInformation()

  Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

  Specified by:
    `getTechnicalInformation` in interface `TechnicalInformationHandler`
  Overrides:
    `getTechnicalInformation` in class `Stacking`
  Returns:
    the technical information about this class

### distributionForInstance

    public double[] distributionForInstance(Instance instance)
                                     throws java.lang.Exception

  Returns class probabilities for a given instance using the stacked classifier. One class will always get all the probability mass (i.e. probability one).

  Overrides:
    `distributionForInstance` in class `Stacking`
  Parameters:
    `instance` - the instance to be classified
  Returns:
    the class distribution for the given instance
  Throws:
    `java.lang.Exception` - if instance could not be classified successfully

### toString

    public java.lang.String toString()

  Output a representation of this classifier

  Overrides:
    `toString` in class `Stacking`
  Returns:
    a string representation of the classifier

### getRevision

    public java.lang.String getRevision()

  Returns the revision string.

  Specified by:
    `getRevision` in interface `RevisionHandler`
  Overrides:
    `getRevision` in class `Stacking`
  Returns:
    the revision

### main

    public static void main(java.lang.String[] argv)

  Main method for testing this class.

  Parameters:
    `argv` - should contain the following arguments: -t training file [-T test file] [-c class index]

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD